Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4476 - No hostnames possible in /etc/yp.conf
Summary: No hostnames possible in /etc/yp.conf
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-11 17:51 UTC by Jos Vos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 05:42:17 UTC


Attachments (Terms of Use)

Description Jos Vos 1999-08-11 17:51:01 UTC
An entry like "ypserver myhost.my.domain" in /etc/yp.conf,
where the used hostname is listed in /etc/hosts (and
actually is the name of local host, because I tested it on a
slave server) does not work, while replacing the hostname
with its IP address works fine.

The comment lines in /etc/yp.conf suggest something else and
on a very old system (RHL 3.0.3) this also worked fine.

Comment 1 Jeff Johnson 1999-08-11 19:09:59 UTC
Check /etc/nsswitch.conf and make sure you have something like
     hosts:      files dns nisplus nis

Comment 2 Jos Vos 1999-08-11 19:28:59 UTC
Checked, /etc/nsswitch.conf is unchanged, so it says:
	hosts:      files nisplus nis dns

Comment 3 Preston Brown 1999-08-28 05:42:59 UTC
hmm, can't seem to duplicate this here.  Sounds like a DNS issue
though, not a ypbind issue -- I am using hostnames not IP addresses in
/etc/yp.conf just fine.


Note You need to log in before you can comment on or make changes to this bug.